Please update cairo-dock-plug-ins and cairo-dock metapackage to depend on libwebkitgtk-1.0-0

Bug #704032 reported by YunQiang Su on 2011-01-17
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
cairo-dock-plug-ins (Ubuntu)
Medium
Matthieu Baerts

Bug Description

Binary package hint: cairo-dock-plug-ins

The bin packages from cairo-dock have been depending on libwebkitgtk-1.0-0

but the metapackage cairo-dock and cairo-dock-plug-ins still depending on libwebkit-1.0-2

anything wrong?

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: cairo-dock-plug-ins (not installed)
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Uname: Linux 2.6.37-12-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Tue Jan 18 00:33:27 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100812)
ProcEnviron:
 LANGUAGE=zh_CN:zh:en_GB:en
 PATH=(custom, user)
 LANG=zh_CN.utf8
 LC_MESSAGES=zh_CN.utf8
 SHELL=/usr/bin/zsh
SourcePackage: cairo-dock-plug-ins

Related branches

Matthieu Baerts (matttbe) wrote :

Thank you for this bug report!

I hope it will be fixed asap!

Changed in cairo-dock-plug-ins (Ubuntu):
assignee: nobody → Matthieu Baerts (matttbe)
Quackers (quackers) wrote :

Only 2 me too's? Really?
I miss my cairo dock. It's my only way back in to Unity if it crashes. No ctrl+Alt+T, no Alt+F2, I'm suffering here :-)

Matthieu Baerts (matttbe) wrote :

@ Mike D: If you want, you can also use our 'weekly' ppa ;)
=> https://launchpad.net/~cairo-dock-team/+archive/weekly

I'm uploading this 'stable' version to our 'stable' ppa => https://launchpad.net/~cairo-dock-team/+archive/ppa

Changed in cairo-dock-plug-ins (Ubuntu):
status: New → Fix Committed
Matthieu Baerts (matttbe) wrote :

Here is the debdiff.

Changed in cairo-dock-plug-ins (Ubuntu):
status: Fix Committed → Triaged
importance: Undecided → Medium
Matthieu Baerts (matttbe) wrote :

Posted on https://code.launchpad.net/~cairo-dock-team/cairo-dock-plug-ins/ubuntu/+merge/46668 :

=====
20. By Matthieu Baerts on 2011-01-18
* debian/control:
 - Replaced libwebkit-dev by libwebkitgtk-dev (LP: #704032)
* No change rebuild for libindicator1 > libindicator2 transition
* No change rebuild for libdbusmenu-gtk1 > libdbusmenu-gtk2 transition

Matthieu Baerts wrote on 2011-01-18
It seems that the branch lp:ubuntu/cairo-dock-plug-ins isn't up to date (revision 14 instead of rev 19).
It's a bit annoying... Is it possible to fix this problem?

Here is the branch that I've proposed for merging on the bug #653702 with a new revision in order to fix the bug LP: #704032.

Recently 2 new revisions have been done by Canonical Desktop team and these modifications are included into this revision (20)
=====

This merge proposal has been deleted due to this bug: https://bugs.launchpad.net/udd/+bug/704694

Changed in cairo-dock-plug-ins (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 2.2.0~4-0ubuntu4

---------------
cairo-dock-plug-ins (2.2.0~4-0ubuntu4) natty; urgency=low

  * debian/control:
    - Build-Depend on libwebkitgtk-dev instead of libwebkit-dev (LP: #704032)
 -- Matthieu Baerts (matttbe) <email address hidden> Sat, 22 Jan 2011 01:35:50 +0200

Changed in cairo-dock-plug-ins (Ubuntu):
status: Fix Committed → Fix Released
Quackers (quackers) wrote :

Matthieu baerts, thank you for your comments and instructions. My cairo dock is now working perfectly :-)
Oh Happy Day!
Thanks for the speedy response!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers